Subject: Re: FDT bindings for I2C devices

From: Wolfgang Grandegger <[email-masked]>
Date: Sun, 21 Oct 2007 14:19:27 +0200

Hi Guennadi,

Guennadi Liakhovetski wrote:
> (it was suggested to deprecate -embedded in favour of -dev, so, added to 
> cc:)
> 
> On Fri, 19 Oct 2007, Grant Likely wrote:
> 
>> On 10/19/07, Wolfgang Grandegger <[email-masked]> wrote:
>>> Hello,
>>>
>>> is it forseen to define and configure devices like RTC, temperature
>>> sensors or EEPROM on the I2C bus with the Flat Device Tree? If yes, how
>>> would the DTS entries look like?
>> booting-without-of.txt has some information about describing the controller.
>>
>> Scott Wood made an attempt at defining a device binding for I2C
>> devices, but it has not been merged into booting-without-of.txt yet.
>> I've copied what he wrote below.  I would add to his definition the
>> following:
>> - If compatible is missing, driver should *not* fall back to the device name.
>> - 'compatible' list should include the exact device in the form "<mfg>,<part>"
> 
> There are also already working examples in powerpc: look at 
> arch/powerpc/sysdev/fsl_soc.c at the i2c_devices[] array and how it is 
> used below. There are also some .dts examples upstream already, e.g., 
> arch/powerpc/boot/dts/kuroboxH[GD].dts. There also have been more patches 
> recently to add further devices to the table and further .dts entries. 
> Notice however, it would be good to move the generic code out of 
> fsl_soc.c, as there seems to be increasing interest in describing i2c 
> buses in .dts.

Ah, nice. I checked a few dts files but obviously missed the one for the 
kuroboxH[GD].

Thanks,

Wolfgang.